import { InjectionToken, Observable } from '@hypertype/core';
import { IRequestOptions, IRequestService } from "./request.service";
export declare const ApiUrlInjectionToken: InjectionToken;
export declare class ApiService {
    protected http: IRequestService;
    ApiUrl: string;
    private isBSON;
    constructor(http: IRequestService, ApiUrl: string);
    get<T>(url: string, options?: IRequestOptions): Observable<T>;
    post<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    delete<T>(url: string): Observable<T>;
    put<T>(url: string, body: any, options?: IRequestOptions): Observable<T>;
    protected request<T>(method: any, url: any, body?: any, options?: IRequestOptions): Observable<T>;
    private processResult;
}
//# sourceMappingURL=api.service.d.ts.map