(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@hypertype/core"), require("@hypertype/infr"));
	else if(typeof define === 'function' && define.amd)
		define(["@hypertype/core", "@hypertype/infr"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("@hypertype/core"), require("@hypertype/infr")) : factory(root["@hypertype/core"], root["@hypertype/infr"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(global, function(__WEBPACK_EXTERNAL_MODULE__hypertype_core__, __WEBPACK_EXTERNAL_MODULE__hypertype_infr__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./dist/esm/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./dist/esm/browser-http.client.js":
/*!*****************************************!*\
  !*** ./dist/esm/browser-http.client.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var infr_1 = __webpack_require__(/*! @hypertype/infr */ "@hypertype/infr");
var BrowserHttpClient = /** @class */ (function (_super) {
    __extends(BrowserHttpClient, _super);
    function BrowserHttpClient() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BrowserHttpClient.prototype.send = function (request) {
        return fetch(request.url, {
            method: request.method,
            body: request.content,
            headers: request.headers
        }).then(function (res) { return res.text()
            .then(function (data) { return new infr_1.HttpResponse(res.status, res.statusText, data); }); });
    };
    return BrowserHttpClient;
}(infr_1.HttpClient));
exports.BrowserHttpClient = BrowserHttpClient;


/***/ }),

/***/ "./dist/esm/browser.web-socket.service.js":
/*!************************************************!*\
  !*** ./dist/esm/browser.web-socket.service.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var infr_1 = __webpack_require__(/*! @hypertype/infr */ "@hypertype/infr");
var browser_http_client_1 = __webpack_require__(/*! ./browser-http.client */ "./dist/esm/browser-http.client.js");
var BrowserWebSocketService = /** @class */ (function (_super) {
    __extends(BrowserWebSocketService, _super);
    function BrowserWebSocketService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BrowserWebSocketService.prototype.getConfig = function () {
        return {
            transport: infr_1.HttpTransportType.WebSockets,
            httpClient: new browser_http_client_1.BrowserHttpClient(),
            WebSocket: WebSocket,
            EventSource: EventSource
        };
    };
    return BrowserWebSocketService;
}(infr_1.BaseWebSocketService));
exports.BrowserWebSocketService = BrowserWebSocketService;


/***/ }),

/***/ "./dist/esm/dev-tools.state-logger.js":
/*!********************************************!*\
  !*** ./dist/esm/dev-tools.state-logger.js ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var infr_1 = __webpack_require__(/*! @hypertype/infr */ "@hypertype/infr");
var DevToolsStateLogger = /** @class */ (function (_super) {
    __extends(DevToolsStateLogger, _super);
    function DevToolsStateLogger() {
        var _this = _super.call(this) || this;
        _this.devTools = window['__REDUX_DEVTOOLS_EXTENSION__'];
        _this.devTools.connect();
        return _this;
    }
    DevToolsStateLogger.prototype.send = function (_a, state) {
        var type = _a.type, payload = _a.payload;
        this.devTools.send({
            type: type, payload: payload
        }, state);
    };
    return DevToolsStateLogger;
}(infr_1.StateLogger));
exports.DevToolsStateLogger = DevToolsStateLogger;


/***/ }),

/***/ "./dist/esm/fetchRequestService.js":
/*!*****************************************!*\
  !*** ./dist/esm/fetchRequestService.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(/*! @hypertype/core */ "@hypertype/core");
var FetchRequestService = /** @class */ (function () {
    function FetchRequestService() {
    }
    FetchRequestService.prototype.request = function (method, url, body, options) {
        if (body === void 0) { body = null; }
        if (options === void 0) { options = {}; }
        if (options.params) {
            url += '?' + Object.entries(options.params).map(function (_a) {
                var key = _a[0], value = _a[1];
                return key + "=" + value;
            }).join('&');
        }
        return core_1.from(fetch(url, {
            method: method,
            body: body && JSON.stringify(body),
            headers: __assign({ 'Content-Type': 'application/json' }, options.headers)
        })).pipe(core_1.mergeMap(function (t) {
            if (t.status >= 300) {
                return core_1.throwError({
                    code: t.status,
                    message: t.text()
                });
            }
            if (/json/.test(t.headers.get('Content-Type')))
                return t.json();
            return t.text();
        }));
    };
    return FetchRequestService;
}());
exports.FetchRequestService = FetchRequestService;


/***/ }),

/***/ "./dist/esm/index.js":
/*!***************************!*\
  !*** ./dist/esm/index.js ***!
  \***************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(/*! @hypertype/core */ "@hypertype/core");
var infr_1 = __webpack_require__(/*! @hypertype/infr */ "@hypertype/infr");
var fetchRequestService_1 = __webpack_require__(/*! ./fetchRequestService */ "./dist/esm/fetchRequestService.js");
var browser_web_socket_service_1 = __webpack_require__(/*! ./browser.web-socket.service */ "./dist/esm/browser.web-socket.service.js");
var dev_tools_state_logger_1 = __webpack_require__(/*! ./dev-tools.state-logger */ "./dist/esm/dev-tools.state-logger.js");
__export(__webpack_require__(/*! ./fetchRequestService */ "./dist/esm/fetchRequestService.js"));
exports.BrowserContainer = new core_1.Container();
exports.BrowserContainer.provide(infr_1.InfrContainer);
exports.BrowserContainer.provide([
    { provide: infr_1.StateLogger, useClass: dev_tools_state_logger_1.DevToolsStateLogger },
    { provide: infr_1.IRequestService, useClass: fetchRequestService_1.FetchRequestService },
    { provide: infr_1.IWebSocketService, useClass: browser_web_socket_service_1.BrowserWebSocketService, deps: [infr_1.WebSocketUrlInjectionToken] }
]);


/***/ }),

/***/ "@hypertype/core":
/*!**********************************!*\
  !*** external "@hypertype/core" ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__hypertype_core__;

/***/ }),

/***/ "@hypertype/infr":
/*!**********************************!*\
  !*** external "@hypertype/infr" ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__hypertype_infr__;

/***/ })

/******/ });
});
//# sourceMappingURL=index.js.map