"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var infr_1 = require("@hypertype/infr");
var browser_http_client_1 = require("./browser-http.client");
var BrowserWebSocketService = /** @class */ (function (_super) {
    __extends(BrowserWebSocketService, _super);
    function BrowserWebSocketService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BrowserWebSocketService.prototype.getConfig = function () {
        return {
            transport: infr_1.HttpTransportType.WebSockets,
            httpClient: new browser_http_client_1.BrowserHttpClient(),
            WebSocket: WebSocket,
            EventSource: EventSource
        };
    };
    return BrowserWebSocketService;
}(infr_1.BaseWebSocketService));
exports.BrowserWebSocketService = BrowserWebSocketService;
