"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var infr_1 = require("@hypertype/infr");
var DevToolsStateLogger = /** @class */ (function (_super) {
    __extends(DevToolsStateLogger, _super);
    function DevToolsStateLogger() {
        var _this = _super.call(this) || this;
        _this.devTools = window['__REDUX_DEVTOOLS_EXTENSION__'];
        _this.devTools.connect();
        return _this;
    }
    DevToolsStateLogger.prototype.send = function (_a, state) {
        var type = _a.type, payload = _a.payload;
        this.devTools.send({
            type: type, payload: payload
        }, state);
    };
    return DevToolsStateLogger;
}(infr_1.StateLogger));
exports.DevToolsStateLogger = DevToolsStateLogger;
