import { Observable } from "@hypertype/core";
export declare abstract class IRequestService {
    abstract request<T>(method: any, url: any, body: any, options: IRequestOptions): Observable<T>;
}
export interface IRequestOptions {
    headers?: any;
    reportProgress?: boolean;
    params?: any;
    responseType?: 'arraybuffer' | 'blob' | 'json' | 'text';
    withCredentials?: boolean;
}
//# sourceMappingURL=request.service.d.ts.map